#pragma once

#include <vector>

#include "HwmAgentNotifyDef.h"

// demoAddCycleConf 对话框

class demoAddCycleConf : public CDialogEx
{
    DECLARE_DYNAMIC(demoAddCycleConf)

public:
    demoAddCycleConf(CWnd* pParent = nullptr);   // 标准构造函数
    virtual ~demoAddCycleConf();

    hwmsdkagent::HwmCycleConfParam GetCycleConfParam() const;
// 对话框数据
#ifdef AFX_DESIGN_TIME
    enum { IDD = IDD_BOOK_CYCLE_CONF_DIALOG};
#endif
    void SetIsEditCycleConf(bool isEdit);

protected:
    virtual BOOL OnInitDialog();
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持
    virtual void OnOK() override;
    virtual void OnCancel() override;

    void UpdateDialogData();
    afx_msg LRESULT OnConfDetail(WPARAM wparam, LPARAM lparam);
    DECLARE_MESSAGE_MAP()

    CDateTimeCtrl m_confEndDateCtrl;
    CComboBox m_editCycleType;
    CEdit m_editInterval;
    CEdit m_editListPoints;
    CEdit m_editPreRemindDays;
private:
    hwmsdkagent::HwmCycleConfParam m_cycleConfParam;
    hwmsdkagent::HwmConfDetail m_confInfo;
    bool m_isEditConf;
};
